import React from 'react';
import ReactDOM from 'react-dom/client';
import App from './App';
import './index.css';
import { AppProvider } from './contexts/AppContext';
import { ContactProvider } from './contexts/ContactContext';
import { ProjectProvider } from './contexts/ProjectContext';

ReactDOM.createRoot(document.getElementById('root')!).render(
  <React.StrictMode>
    <AppProvider>
      <ProjectProvider>
        <ContactProvider>
          <App />
        </ContactProvider>
      </ProjectProvider>
    </AppProvider>
  </React.StrictMode>,
);
