export interface Project {
  id: string;
  company: string;
  brand: string;
  mainContact: {
    name: string;
    email: string;
    phone?: string;
  };
  deliverables: string;
  dueDate: string;
  projectAmount: number;
  paymentReceived: boolean;
  paymentDate?: string;
  status: 'pending' | 'in-progress' | 'completed';
  files: {
    id: string;
    name: string;
    url: string;
    type: string;
  }[];
  notes?: string;
  createdAt: string;
  updatedAt: string;
}

export interface Invoice {
  id: string;
  projectId: string;
  amount: number;
  status: 'draft' | 'sent' | 'paid';
  dueDate: string;
  sentDate?: string;
  paidDate?: string;
  notes?: string;
  createdAt: string;
}