import { defineConfig } from "vite";
import react from "@vitejs/plugin-react-swc";
import path from "path";

// https://vitejs.dev/config/
export default defineConfig(({ mode }) => ({
  server: {
    host: "::",
    port: 8080,
  },
  plugins: [
    react()
  ].filter(Boolean),
  resolve: {
    alias: {
      "@": path.resolve(__dirname, "./src"),
    },
  },
  // Use hash routing for SPA to avoid 404 errors on page refresh
  base: "/",
  build: {
    // Generate a 404.html that redirects to index.html for SPA routing
    rollupOptions: {
      output: {
        manualChunks: undefined,
      },
    },
  },
}));
